## kn source container

Manage container sources

```
kn source container create|delete|update|list|describe
```

### Options

```
  -h, --help   help for container
```

### Options inherited from parent commands

```
      --as string              username to impersonate for the operation
      --as-group stringArray   group to impersonate for the operation, this flag can be repeated to specify multiple groups
      --as-uid string          uid to impersonate for the operation
      --cluster string         name of the kubeconfig cluster to use
      --config string          kn configuration file (default: ~/.config/kn/config.yaml)
      --context string         name of the kubeconfig context to use
      --kubeconfig string      kubectl configuration file (default: ~/.kube/config)
      --log-http               log http traffic
```

### SEE ALSO

* [kn source](kn_source.md)	 - Manage event sources
* [kn source container create](kn_source_container_create.md)	 - Create a container source
* [kn source container delete](kn_source_container_delete.md)	 - Delete a container source
* [kn source container describe](kn_source_container_describe.md)	 - Show details of a container source
* [kn source container list](kn_source_container_list.md)	 - List container sources
* [kn source container update](kn_source_container_update.md)	 - Update a container source

